- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# peoNoAggEvalFunc< EOT > Class Template Reference

The peoNoAggEvalFunc class does nothing more than an association between a fitness value and a specified individual. More...

`#include <peoNoAggEvalFunc.h>`

Inheritance diagram for peoNoAggEvalFunc< EOT >:

List of all members.

## Public Member Functions
void | operator() (EOT &__sol, const typename EOT::Fitness &__fit)
| Operator which sets as fitness the __fit value for the __sol individual.

## Detailed Description

### template<class EOT>
class peoNoAggEvalFunc< EOT >

The peoNoAggEvalFunc class does nothing more than an association between a fitness value and a specified individual.

The class is provided as a mean of declaring that no aggregation is required for the evaluation function - the fitness value is explicitly specified.

Definition at line 47 of file peoNoAggEvalFunc.h.

The documentation for this class was generated from the following file:

- peoNoAggEvalFunc.h